/*
 * Created on 2004-08-17
 *
 * Part of the Symbian development plug-in for Eclipse
 * Copyright (C) Mikołaj Zalewski, 2004
 */
package pl.zalewski.mikolaj.symbdev;

import java.util.HashMap;
import java.util.Map;

import org.eclipse.cdt.core.parser.IScannerInfo;

/**
 * @author mikolaj
 *
 * Scanner information - standard include paths and predefined macros
 */
public class SymbianScannerInfo implements IScannerInfo {

    /**
     * 
     */
    public SymbianScannerInfo()
    {
        super();
    }

    /* (non-Javadoc)
     * @see org.eclipse.cdt.core.parser.IScannerInfo#getDefinedSymbols()
     */
    public Map getDefinedSymbols() {
        return definedSymbols;
    }

    /**
     * @param definedSymbols The definedSymbols to set.
     */
    public void setDefinedSymbols(Map definedSymbols) {
        this.definedSymbols = definedSymbols;
    }    
    
    /* (non-Javadoc)
     * @see org.eclipse.cdt.core.parser.IScannerInfo#getIncludePaths()
     */
    public String[] getIncludePaths() {
        return includePaths;
    }

    /**
     * @param includePaths The includePaths to set.
     */
    public void setIncludePaths(String[] includePaths) {
        this.includePaths = includePaths;
    }
    
    String[] includePaths=new String[0];
    Map definedSymbols=new HashMap();
}
